# __gnu_cxx::project1st< _Arg1, _Arg2 > Struct Template Reference
[SGI]

An SGI extension . More...

Inherits __gnu_cxx::_Project1st< _Arg1, _Arg2 >.

List of all members.

## Public Types

- typedef _Arg1 first_argument_type
- typedef _Result result_type
- typedef _Arg2 second_argument_type

## Public Member Functions

- _Arg1 operator() (const _Arg1 &__x, const _Arg2 &) const

## Detailed Description

### template<class _Arg1, class _Arg2>
struct __gnu_cxx::project1st< _Arg1, _Arg2 >

An SGI extension .

Definition at line 233 of file ext/functional.

## Member Typedef Documentation

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type `[inherited]`

the type of the first argument /// (no surprises here)

Definition at line 114 of file stl_function.h.

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type `[inherited]`

type of the return type

Definition at line 118 of file stl_function.h.

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type `[inherited]`

the type of the second argument

Definition at line 117 of file stl_function.h.

The documentation for this struct was generated from the following file:

- ext/functional